<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports SSL products
 *
 * @package    SSL
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Product_Plugin_Ssl extends Model_Product_Plugin {
	protected $_table_name = 'ssl';

	// Our required abstract methods
	public function cost($annual=FALSE) {
		// @todo
		$x = 0;

		return $annual ? $x*12 : $x;
	}

	public function render_edit() {}

	// @todo
	public function supplier() {
		return 'internal';
	}
}
?>
